using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot("Transfer")]
    public class VisitorToMenuRequest: INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("visitor")]
        public VisitorToMenuVisitor Visitor { get; set; }

        [XmlElement("menu")]
        public VisitorToMenuMenu Menu { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }
    }

    public class VisitorToMenuVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class VisitorToMenuMenu
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
